//
// C++ Interface:
//
// Description:
//
//
// Author: Andreas Theofilu <andreas@theosys.at>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef SHAPEWIDGET_H
#define SHAPEWIDGET_H

#include <QDialog>
#include "ui_shapewidgetbase.h"

class shapeWidget : public QDialog, private Ui::shapeWidgetBase
{
	public:
		enum maptype
		{
		   MAP_SHAPE,
		   MAP_GIS,
		   MAP_OSM,
		   maptype_MAX
		};

		Q_OBJECT

	public:
		shapeWidget (QWidget* parent = 0, Qt::WFlags fl = 0);
		~shapeWidget();
		/*$PUBLIC_FUNCTIONS$*/
		void setMapType (maptype mt);

	public slots:
		/*$PUBLIC_SLOTS$*/
		virtual void accept();
		virtual void slotForwarded(bool);
		virtual void slotInversed(bool);

	private:
	   maptype __maptype;
};

#endif

