//
// C++ Interface:
//
// Description:
//
//
// Author: Andreas Theofilu <andreas@theosys.at>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef WMSCAPABILITIESWIDGET_H
#define WMSCAPABILITIESWIDGET_H

#include <QDialog>
#include <QString>
#include <KLineEdit>
#include <KListWidget>
#include "ui_wmscapabilitieswidgetbase.h"

class wmsCapabilitiesWidget : public QDialog, private Ui::wmsCapabilitiesWidgetBase
{
		Q_OBJECT

	public:
		wmsCapabilitiesWidget (QWidget* parent = 0, Qt::WFlags fl = 0);
		~wmsCapabilitiesWidget();
		/*$PUBLIC_FUNCTIONS$*/
		void setName(QString s) { edName->setText(s); };
		void setTitle(QString s) { edTitle->setText(s); };
		void setAbstract(QString s) { txAbstract->setText(s); };
		void setOnline(QString s) { edOnline->setText(s); };

		void setPerson(QString s) { edPerson->setText(s); };
		void setOrg(QString s) { edOrg->setText(s); };
		void setPhone(QString s) { edPhone->setText(s); };
		void setFax(QString s) { edFax->setText(s); };
		void setMail(QString s) { edMail->setText(s); };

		void setAddress(QString s) { edAddress->setText(s); };
		void setCity(QString s) { edCity->setText(s); };
		void setState(QString s) { edState->setText(s); };
		void setPostCode(QString s) { edPostCode->setText(s); };
		void setCountry(QString s) { edCountry->setText(s); };

		void setCapabilitiesGet(QString s) { edCapabilitiesGet->setText(s); };
		void setCapabilitiesPost(QString s) { edCapabilitiesPost->setText(s); };
		void setFormat(QString s) { edFormat->setText(s); };

		void setMapGet(QString s) { edMapGet->setText(s); };
		void setMapPost(QString s) { edMapPost->setText(s); };
		void addFormats(QString s) { liFormats->addItem(s); };
		void addFeatures(QString s) { liFeatures->addItem(s); };
		void addDate(QString s) { liDate->addItem(s); };

	public slots:
		/*$PUBLIC_SLOTS$*/

	protected:
		/*$PROTECTED_FUNCTIONS$*/

	protected slots:
		/*$PROTECTED_SLOTS$*/
};

#endif

