/***************************************************************************
 *   Copyright (C) 2007 - 2009 by Andreas Theofilu                         *
 *   andreas@theosys.at                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation version 3 of the License.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _SPORTWATCHER_H_
#define _SPORTWATCHER_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <KXmlGuiWindow>
#include <KIconLoader>
#include "sportwatcherwidget.h"

/**
 * @short Application Main Window
 * @author Andreas Theofilu <andreas@theosys.at>
 * @version 0.6
 */
class sportwatcher : public KXmlGuiWindow
{
	Q_OBJECT

	public:
	   sportwatcher(QWidget *parent = 0, Qt::WindowFlags f = KDE_DEFAULT_WINDOWFLAGS);
	   virtual ~sportwatcher();

	private:
	   void setupActions();

	private:
	   sportwatcherWidget *m_view;
};

#endif // _SPORTWATCHER_H_
